Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 594530 - www-plugins/google-talkplugin-5.4.2.0: source no longer available, please stabilize 5.41.0.0
Summary: www-plugins/google-talkplugin-5.4.2.0: source no longer available, please sta...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Christoph Junghans
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-20 16:57 UTC by Raymond Jennings
Modified: 2016-09-21 02:51 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Raymond Jennings 2016-09-20 16:57:59 UTC
needs a version bump I guess.
Comment 1 Christoph Junghans gentoo-dev 2016-09-21 00:15:23 UTC
The latest (google-talkplugin-5.41.3.0) is already in the tree for a month.

commit dd3f3f9c6cb37d8e6b8e11277e25bd8805fd778b
Author: Christoph Junghans <ottxor@gentoo.org>
Date:   Sun Aug 21 15:04:04 2016 -0600

    www-plugins/google-talkplugin: version bump

    Package-Manager: portage-2.2.28
Comment 2 Christoph Junghans gentoo-dev 2016-09-21 00:23:13 UTC
I wanted to move away from a stable version for a long time:

commit 1a6a95ab5a60af6b769d388eec9a4017a7c4c161
Author: Christoph Junghans <ottxor@gentoo.org>
Date:   Tue Sep 20 18:21:19 2016 -0600

    profiles: mask stable google-talkplugin

diff --git a/profiles/package.mask b/profiles/package.mask
index 9f8ff47..4e7af5e 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -30,6 +30,11 @@

 #--- END OF EXAMPLES ---

+# Christoph Junghans <ottxor@gentoo.org> (20 Sep 2016)
+# Switch to a non-stable scheme  following google-chrome
+# please unmask latest version yourself
+=www-plugins/google-talkplugin-5.4.2.0
+
 # Gnome Team <gnome@gentoo.org> (19 sep 2016)
 # Gnome 3.22 mask
 >=dev-util/gdbus-codegen-2.50.0
Comment 3 Raymond Jennings 2016-09-21 01:20:18 UTC
Why do we want to leave google-talkplugin masked?

It's not exactly unbuildable or buggy.
Comment 4 Christoph Junghans gentoo-dev 2016-09-21 01:25:35 UTC
(In reply to Raymond Jennings from comment #3)
> Why do we want to leave google-talkplugin masked?
> 
> It's not exactly unbuildable or buggy.
I masked it, so that users of the stable version get notified of the change, which would not be the case if I just dropped the old versions, which is going to happen in 30 days or so.
Comment 5 Raymond Jennings 2016-09-21 02:12:33 UTC
Why not just stabilize it regularly like any other package?
Comment 6 Christoph Junghans gentoo-dev 2016-09-21 02:51:47 UTC
(In reply to Raymond Jennings from comment #5)
> Why not just stabilize it regularly like any other package?
Just look at bug #506676 and you will understand why.
Google can sneak away the package source at any time and we cannot mirror it, so I think it is not worth the effort.